Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.plateng.gpr.registry
Class ProductInfoImpl

    java.lang.Object
      com.bea.plateng.gpr.registry.ProductInfoImpl

All Implemented Interfaces:
  ProductInfo

    public class ProductInfoImpl

extends java.lang.Object
implements ProductInfo

Provides information about the product that is represented by the `ProductInfo` object and that is installed in a given BEA Home directory.

Version:
  4.0.0 Jan 31, 2005
Author:
  Copyright (c) 2004 by BEA Systems, Inc., All Rights Reserved.

Method Summary
`java.lang.String[]` | `getComponents()` Returns the names of the components of the product that is represented by the `ProductInfo` object.
`java.lang.String` | `getDefaultJavaHome()` Returns the Java home of the default Java installation.
`java.lang.String` | `getDefaultJavaVendor()` Returns the Java vendor of the default Java installation.
`java.lang.String` | `getDefaultJavaVersion()` Returns the version of the default Java installation.
`java.lang.String` | `getNodeManagerListenPort()` Returns the Node Manager listen port.
`java.lang.String` | `getProductDir()` Returns the full path of the directory in which the product represented by the `ProductInfo` object is installed.
`java.lang.String` | `getProductName()` Returns the name of the installed product that is represented by the `ProductInfo` object.
`java.lang.String` | `getProductVersion()` Returns the version of the installed product.
`java.lang.String` | `getProgramGroup()` Returns the name of the program group in which the Start menu entry is created for the product.
`java.lang.String` | `getStartMenuLocation()` On Windows system, this method returns the absolute path of the directory containing the Start menu entries.
`java.lang.String[]` | `getSubComponents(java.lang.String component)` Returns the names of all subcomponents for a given component of the product that is represented by the `ProductInfo` object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getProductName

    public java.lang.String getProductName()

  Returns the name of the installed product that is represented by the `ProductInfo` object.

  Specified by:
    `getProductName` in interface `ProductInfo`
  Returns:
    The name of the installed product.

### getProductVersion

    public java.lang.String getProductVersion()

  Returns the version of the installed product.

  Specified by:
    `getProductVersion` in interface `ProductInfo`
  Returns:
    The version of the installed product.

### getDefaultJavaHome

    public java.lang.String getDefaultJavaHome()

  Returns the Java home of the default Java installation.

  Specified by:
    `getDefaultJavaHome` in interface `ProductInfo`
  Returns:
    The absolute path, as `String`, to the default Java installation.

### getDefaultJavaVendor

    public java.lang.String getDefaultJavaVendor()

  Returns the Java vendor of the default Java installation.

  Specified by:
    `getDefaultJavaVendor` in interface `ProductInfo`
  Returns:
    The Java vendor of the default Java installation. For example: BEA, or SUN.

### getDefaultJavaVersion

    public java.lang.String getDefaultJavaVersion()

  Returns the version of the default Java installation.

  Specified by:
    `getDefaultJavaVersion` in interface `ProductInfo`
  Returns:
    The version of the default Java installation.

### getStartMenuLocation

    public java.lang.String getStartMenuLocation()

  On Windows system, this method returns the absolute path of the directory containing the Start menu entries. For example: `C:\Documents and Settings\USER\Start Menu\Programs`

  Specified by:
    `getStartMenuLocation` in interface `ProductInfo`
  Returns:
    The path of the directory containing the Start menu entries on the current machine, or `null` on Unix systems.

### getProgramGroup

    public java.lang.String getProgramGroup()

  Returns the name of the program group in which the Start menu entry is created for the product.

  Specified by:
    `getProgramGroup` in interface `ProductInfo`
  Returns:
    The program group in which the Start menu entry is created, or `null` on Unix systems.

### getComponents

    public java.lang.String[] getComponents()

  Returns the names of the components of the product that is represented by the `ProductInfo` object.

  Specified by:
    `getComponents` in interface `ProductInfo`
  Returns:
    An array of `String` containing the component names.

### getSubComponents

    public java.lang.String[] getSubComponents(java.lang.String component)
                                        throws java.lang.IllegalArgumentException

  Returns the names of all subcomponents for a given component of the product that is represented by the `ProductInfo` object.

  Specified by:
    `getSubComponents` in interface `ProductInfo`
  Parameters:
    `component` - The name of the component
  Returns:
    An array of `String` containing the subcomponent names, or an empty array if the product does not have a component that matches the input parameter.
  Throws:
    `java.lang.IllegalArgumentException` - if the parameter is null or is an empty string

### getNodeManagerListenPort

    public java.lang.String getNodeManagerListenPort()

  Returns the Node Manager listen port.

  Specified by:
    `getNodeManagerListenPort` in interface `ProductInfo`
  Returns:
    A `String` containing the Node Manager listen port, or null if not found.

### getProductDir

    public java.lang.String getProductDir()

  Returns the full path of the directory in which the product represented by the `ProductInfo` object is installed.

  Specified by:
    `getProductDir` in interface `ProductInfo`
  Returns:
    The absolute path of the installed product.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.